tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From E Koutsoudaki <s0671...@sms.ed.ac.uk>
Subject axis - tomcat "loader constraint violation"
Date Fri, 13 Jul 2007 12:11:54 GMT
Dear all,
as part of a project I am working on I have to add to an existent Java 
based web
application the functionality of retrieving information from the NCBI 
web service.
I have generated the Java source files by following the instructions in 
the NCBI website
at:
http://www.ncbi.nlm.nih.gov/entrez/q...java_help.html

The source files are created and they compile. For testing reasons I 
have implement a
Java application (not web based) from which I was able to retrieve 
information from the
NCBI resources.
When integrate the source files into the web based application, again 
the project builds
fine, but when running the following error occurs:

java.lang.LinkageError: loader constraint violation: when resolving 
field "service" the
class loader (instance of org/apache/catalina/loader/WebappClassLoader) 
of the referring
class, org/apache/axis/client/Stub, and the class loader (instance of
org/apache/catalina/loader/StandardClassLoader) for the field's resolved type,
javax/xml/rpc/Service, have different Class objects for that type
gov.nih.nlm.ncbi.www.soap.eutils.EUtilsServiceSoap
Stub.<init>(EUtilsServiceSoapStub.java:201)
gov.nih.nlm.ncbi.www.soap.eutils.EUtilsServiceSoap
Stub.<init>(EUtilsServiceSoapStub.java:193)
gov.nih.nlm.ncbi.http://www.soap.eutils.EUtilsService...ocator.java:55)
gov.nih.nlm.ncbi.http://www.soap.eutils.EUtilsService...ocator.java:50)
uk.ac.ed.gti.utilities.BioLayoutFile.getNCBIInfo(B ioLayoutFile.java:196)


The web based application runs on a Tomcat server and the axis library 
files have been
added in the common/lib folder of the web server so as the web server 
to be able to
locate the libraries.

The axis version I've used is the 1.4, Tomcat 5.5 and jdk 1.6.0_01.
I have also tried by using the axis-1_2_1, and jdk1.5.0_12. and 
generally other
combinations of those. I always keep Tomcat to 5.5 since this is the 
version of the
existing web application.

I would be grateful for any enlightenment about the occurring error.
Thank you in advance.
Elisavet Koutsoudaki


---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message